<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Flexbox #02</title>
    <link rel="stylesheet" href="css/tag.css">
    <style>
        .flex-container {
            display: flex;
            height: 300px;
            width: 600px;
        }

        .flex-container div:nth-child(3) { /*Teceiro filho*/
            background-color: rgb(43, 220, 226);
            order: 1;
            order: 0;
            order: -1;
            
            /* Item especifico levando em consideração o Cross Axis */
            align-self: center; 
            align-self: flex-end; 
            align-self: flex-start; 
            align-self: stretch; 
        }

        .flex-container div {
            width: 100px;
            flex-grow: 0;
            flex-grow: 1;
        }

        .flex-container div:nth-child(1) {
            flex-grow: 2;
            flex-shrink: 5;
        }

        .flex-container {
            width: 300px;
            flex-shrink: 1;
        }
    </style>
</head>

<body>
    <div class="flex-container tag nolabel">
        <div class="tag nolabel">1</div>
        <div class="tag nolabel">2</div>
        <div class="tag nolabel">3</div>
        <div class="tag nolabel">4</div>
    </div>
    <script src="js/tag.js"></script>
</body>

</html>